#ifndef NEKO_H
#define NEKO_H

#include <SDL3/SDL.h>
#include <SDL3/SDL_main.h>
#include <SDL3_image/SDL_image.h>

#include <stdio.h>

int neko_init(SDL_Renderer *renderer, SDL_Window *window);
void neko_render(SDL_Renderer *renderer, SDL_Window *window);
void neko_quit();
Uint32 move_cat(void *window, SDL_TimerID timerID, Uint32 interval);

#endif